GNU bug report logs - #12380
more control over window splitting

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Doug Morgan <dougrm@HIDDEN>; dated Fri, 7 Sep 2012 19:54:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 12380-quiet <at> debbugs.gnu.org:


Received: (at 12380-quiet) by debbugs.gnu.org; 11 Sep 2012 07:18:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 11 03:18:36 2012
Received: from localhost ([127.0.0.1]:53507 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TBKjz-0002co-N2
	for submit <at> debbugs.gnu.org; Tue, 11 Sep 2012 03:18:36 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:42824)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>)
	id 1TBKjs-0002ca-O5; Tue, 11 Sep 2012 03:18:34 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1TBKjE-0002et-0Q; Tue, 11 Sep 2012 03:17:48 -0400
From: Glenn Morris <rgm@HIDDEN>
To: 12380-quiet <at> debbugs.gnu.org
Subject: Re: bug#12380: other window related commands broken
References: <504A43D2.1010307@HIDDEN> <504A5866.9010009@HIDDEN>
	<504A724B.3020202@HIDDEN> <504AFF67.7070600@HIDDEN>
	<504BF230.1000805@HIDDEN>
X-Spook: $400 million in gold bullion John Kerry supercomputer New
X-Ran: V{5c<*I~p~x\5}WU>eRf"T~.)(_*Bd3(m%71\c9M~D:SUUT9Kc+zXCP4F/&<{COrz]Jl8s
X-Hue: red
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Tue, 11 Sep 2012 03:17:47 -0400
In-Reply-To: <504BF230.1000805@HIDDEN> (Doug Morgan's message of "Sat, 08
	Sep 2012 18:34:40 -0700")
Message-ID: <syzk4xm3j8.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -7.3 (-------)
X-Debbugs-Envelope-To: 12380-quiet
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -7.3 (-------)

severity 12380 wishlist
retitle 12380 more control over window splitting
stop

Doug Morgan wrote:

> On second thought, I wouldn't so much mind emacs splitting a window
> horizontally when I just have one window visible at the time.  That
> might actually be nice.  However, when I already have my screen split
> in two, but vertically, I think it's a bad idea without redeeming
> qualities to split one of the windows horizontally instead of just
> jumping to the "other" already open window.
>
> So, I'm changing my bug report to say that emacs should never
> automatically introduce any new split for M-x M-b (and similar
> commands) when it already has two or more open windows (regardless of
> how they are arranged).  The problem is just a bit deeper than simply
> changing the value of split-width-threshold.




Changed bug title to 'more control over window splitting' from 'other window related commands broken' Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'wishlist' from 'normal' Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 12380 <at> debbugs.gnu.org:


Received: (at 12380) by debbugs.gnu.org; 10 Sep 2012 14:11:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 10 10:11:01 2012
Received: from localhost ([127.0.0.1]:52261 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TB4hZ-0000wc-2j
	for submit <at> debbugs.gnu.org; Mon, 10 Sep 2012 10:11:01 -0400
Received: from limestone4.mail.cornell.edu ([128.253.83.164]:65033)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <kbrown@HIDDEN>) id 1TB4hW-0000wR-PF
	for 12380 <at> debbugs.gnu.org; Mon, 10 Sep 2012 10:11:00 -0400
X-CornellRouted: This message has been Routed already.
Received: from soapstone1.mail.cornell.edu (soapstone1.mail.cornell.edu
	[128.253.83.143])
	by limestone4.mail.cornell.edu (8.14.4/8.14.4) with ESMTP id
	q8AEAMtS002036; Mon, 10 Sep 2012 10:10:22 -0400 (EDT)
Received: from authusersmtp.mail.cornell.edu (granite2.mail.cornell.edu
	[128.253.83.142])
	by soapstone1.mail.cornell.edu (8.14.4/8.14.4) with ESMTP id
	q8AEAMpn003549; Mon, 10 Sep 2012 10:10:22 -0400 (EDT)
Received: from [192.168.1.3] (cpe-67-249-194-47.twcny.res.rr.com
	[67.249.194.47]) (authenticated bits=0)
	by authusersmtp.mail.cornell.edu (8.14.4/8.12.10) with ESMTP id
	q8AEAEv7020433
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NOT);
	Mon, 10 Sep 2012 10:10:15 -0400 (EDT)
Message-ID: <504DF4C5.9050601@HIDDEN>
Date: Mon, 10 Sep 2012 10:10:13 -0400
From: Ken Brown <kbrown@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64;
	rv:15.0) Gecko/20120824 Thunderbird/15.0
MIME-Version: 1.0
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#12380: other window related commands broken
References: <504A43D2.1010307@HIDDEN> <504A5866.9010009@HIDDEN>
	<504A724B.3020202@HIDDEN> <504AFF67.7070600@HIDDEN>
	<504BF230.1000805@HIDDEN> <504C69FE.7000208@HIDDEN>
	<504C9D60.4000105@HIDDEN> <504DA737.4000902@HIDDEN>
In-Reply-To: <504DA737.4000902@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-PMX-CORNELL-SPAM-CHECKED: Pawpaw
X-PMX-Version: 5.5.9.395186, Antispam-Engine: 2.7.2.376379,
	Antispam-Data: 2012.9.10.140329
X-Original-Sender: kbrown@HIDDEN - Mon Sep 10 10:10:15 2012
X-PMX-CORNELL-REASON: CU_White_List_Override
X-Spam-Score: -4.6 (----)
X-Debbugs-Envelope-To: 12380
Cc: Glenn Morris <rgm@HIDDEN>, Doug Morgan <dougrm@HIDDEN>,
	12380 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.6 (----)



On 9/10/2012 4:39 AM, martin rudalics wrote:
>  > Cygwin users who install the emacs package don't get the elisp sources;
>  > they have to install the emacs-el package for that.  So if Doug hasn't
>  > installed emacs-el, then (locate-library "simple.el") will fail, whereas
>  > (locate-library "simple") will correctly give
>  > "/usr/share/emacs/24.2/lisp/simple.elc".
>
> Thanks for the information.  Apparently, Glenn has already installed a
> fix for this.  Please try it.

With Glenn's patch, report-emacs-bug will work even if the elisp sources 
are not installed.

Thanks, Glenn.

Ken





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12380; Package emacs. Full text available.

Message received at 12380 <at> debbugs.gnu.org:


Received: (at 12380) by debbugs.gnu.org; 10 Sep 2012 08:39:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 10 04:39:51 2012
Received: from localhost ([127.0.0.1]:51260 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TAzX5-0006Ef-7K
	for submit <at> debbugs.gnu.org; Mon, 10 Sep 2012 04:39:51 -0400
Received: from mailout-de.gmx.net ([213.165.64.22]:55169)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1TAzX1-0006EV-M4
	for 12380 <at> debbugs.gnu.org; Mon, 10 Sep 2012 04:39:48 -0400
Received: (qmail invoked by alias); 10 Sep 2012 08:39:12 -0000
Received: from 62-47-50-85.adsl.highway.telekom.at (EHLO [62.47.50.85])
	[62.47.50.85]
	by mail.gmx.net (mp072) with SMTP; 10 Sep 2012 10:39:12 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX18iowoSz5wiF2kmryG/U7PFpr8iWlw5IRAEF9kESR
	WvJI8Y8tVuVrJG
Message-ID: <504DA737.4000902@HIDDEN>
Date: Mon, 10 Sep 2012 10:39:19 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Ken Brown <kbrown@HIDDEN>
Subject: Re: bug#12380: other window related commands broken
References: <504A43D2.1010307@HIDDEN> <504A5866.9010009@HIDDEN>
	<504A724B.3020202@HIDDEN> <504AFF67.7070600@HIDDEN>
	<504BF230.1000805@HIDDEN> <504C69FE.7000208@HIDDEN>
	<504C9D60.4000105@HIDDEN>
In-Reply-To: <504C9D60.4000105@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 12380
Cc: Doug Morgan <dougrm@HIDDEN>, 12380 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

 > Cygwin users who install the emacs package don't get the elisp sources;
 > they have to install the emacs-el package for that.  So if Doug hasn't
 > installed emacs-el, then (locate-library "simple.el") will fail, whereas
 > (locate-library "simple") will correctly give
 > "/usr/share/emacs/24.2/lisp/simple.elc".

Thanks for the information.  Apparently, Glenn has already installed a
fix for this.  Please try it.

Thanks, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12380; Package emacs. Full text available.

Message received at 12380 <at> debbugs.gnu.org:


Received: (at 12380) by debbugs.gnu.org; 9 Sep 2012 21:19:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 09 17:19:39 2012
Received: from localhost ([127.0.0.1]:50719 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TAouo-0007JF-Lg
	for submit <at> debbugs.gnu.org; Sun, 09 Sep 2012 17:19:39 -0400
Received: from elasmtp-kukur.atl.sa.earthlink.net ([209.86.89.65]:50604)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dougrm@HIDDEN>) id 1TAoul-0007J7-Q4
	for 12380 <at> debbugs.gnu.org; Sun, 09 Sep 2012 17:19:36 -0400
Received: from [76.21.104.63] (helo=[192.168.0.2])
	by elasmtp-kukur.atl.sa.earthlink.net with esmtpsa
	(TLSv1:AES256-SHA:256) (Exim 4.67)
	(envelope-from <dougrm@HIDDEN>)
	id 1TAouF-0007nL-Q5; Sun, 09 Sep 2012 17:19:04 -0400
Message-ID: <504D07C6.3080400@HIDDEN>
Date: Sun, 09 Sep 2012 14:19:02 -0700
From: Doug Morgan <dougrm@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.0;
	rv:14.0) Gecko/20120713 Thunderbird/14.0
MIME-Version: 1.0
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#12380: other window related commands broken
References: <504A43D2.1010307@HIDDEN> <504A5866.9010009@HIDDEN>
	<504A724B.3020202@HIDDEN> <504AFF67.7070600@HIDDEN>
	<504BF230.1000805@HIDDEN> <504C69FE.7000208@HIDDEN>
In-Reply-To: <504C69FE.7000208@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-ELNK-Trace: f1ad82a4556da985904be2c59b54ee5a9ef193a6bfc3dd48acb8858a4225647f1673b035093753831e3821db987f1b31350badd9bab72f9c350badd9bab72f9c
X-Originating-IP: 76.21.104.63
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 12380
Cc: bug-gnu-emacs@HIDDEN, 12380 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

On 9/9/2012 3:05 AM, martin rudalics wrote:
> > First, here is what the debugger says when I try to "Send Bug 
> Report:..."
> > Debugger entered--Lisp error: (wrong-type-argument stringp nil)
> >   file-name-directory(nil)
> >   byte-code("\300\301\302\303\304!!\"\305BC\207" [format "hides
> > \\(%s.*\\)" file-name-directory locate-library "simple.el" (1
> > font-lock-warning-face)] 5)
>
> I don't understand why it doesn't find this.  Does evaluating
>
> (locate-library "simple.el")
>
> always fail on your system?  If so, what is your value of the variable
> `load-path'?
>
Ken Brown explained this one.  I haven't loaded the emacs-el cygwin package.
> ...
> > The problem is fixed by setting split-width-threshold to 500.
>
> nil should be more intuitive.
>
> > I did try setting it to nil as the variable's documentation
> > suggests and the customization dialog told me the value of the variable
> > needed to be an integer.  Don't know if it accepted nil anyway or
> > rejected it or what, but 500 sure works. Thanks again.
>
> In the dialog you are not allowed to insert nil in the field reserved
> for numbers.  You should use the "Value Menu" button and select "nil"
> from the choices presented there.  Please try again.

Ah, that's how you use that customization buffer thingie.  I've paid it 
and customizations as little attention as possible since they appeared 
(I said long-suffering, but maybe just unsufferably lazy). "Value Menu" 
indeed does the trick.

> ...
> martin
>
Doug




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12380; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Sep 2012 21:19:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 09 17:19:42 2012
Received: from localhost ([127.0.0.1]:50722 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TAour-0007JT-UQ
	for submit <at> debbugs.gnu.org; Sun, 09 Sep 2012 17:19:42 -0400
Received: from eggs.gnu.org ([208.118.235.92]:55699)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dougrm@HIDDEN>) id 1TAouq-0007JM-NU
	for submit <at> debbugs.gnu.org; Sun, 09 Sep 2012 17:19:41 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <dougrm@HIDDEN>) id 1TAouK-0001Gw-Af
	for submit <at> debbugs.gnu.org; Sun, 09 Sep 2012 17:19:09 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_HI
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:51796)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <dougrm@HIDDEN>) id 1TAouK-0001Gr-7M
	for submit <at> debbugs.gnu.org; Sun, 09 Sep 2012 17:19:08 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60879)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <dougrm@HIDDEN>) id 1TAouJ-0001lx-Bt
	for bug-gnu-emacs@HIDDEN; Sun, 09 Sep 2012 17:19:08 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <dougrm@HIDDEN>) id 1TAouI-0001Ge-BN
	for bug-gnu-emacs@HIDDEN; Sun, 09 Sep 2012 17:19:07 -0400
Received: from elasmtp-kukur.atl.sa.earthlink.net ([209.86.89.65]:50617)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <dougrm@HIDDEN>) id 1TAouI-0001GV-6z
	for bug-gnu-emacs@HIDDEN; Sun, 09 Sep 2012 17:19:06 -0400
Received: from [76.21.104.63] (helo=[192.168.0.2])
	by elasmtp-kukur.atl.sa.earthlink.net with esmtpsa
	(TLSv1:AES256-SHA:256) (Exim 4.67)
	(envelope-from <dougrm@HIDDEN>)
	id 1TAouF-0007nL-Q5; Sun, 09 Sep 2012 17:19:04 -0400
Message-ID: <504D07C6.3080400@HIDDEN>
Date: Sun, 09 Sep 2012 14:19:02 -0700
From: Doug Morgan <dougrm@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.0;
	rv:14.0) Gecko/20120713 Thunderbird/14.0
MIME-Version: 1.0
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#12380: other window related commands broken
References: <504A43D2.1010307@HIDDEN> <504A5866.9010009@HIDDEN>
	<504A724B.3020202@HIDDEN> <504AFF67.7070600@HIDDEN>
	<504BF230.1000805@HIDDEN> <504C69FE.7000208@HIDDEN>
In-Reply-To: <504C69FE.7000208@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-ELNK-Trace: f1ad82a4556da985904be2c59b54ee5a9ef193a6bfc3dd48acb8858a4225647f1673b035093753831e3821db987f1b31350badd9bab72f9c350badd9bab72f9c
X-Originating-IP: 76.21.104.63
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4-2.6
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
Cc: bug-gnu-emacs@HIDDEN, 12380 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

On 9/9/2012 3:05 AM, martin rudalics wrote:
> > First, here is what the debugger says when I try to "Send Bug 
> Report:..."
> > Debugger entered--Lisp error: (wrong-type-argument stringp nil)
> >   file-name-directory(nil)
> >   byte-code("\300\301\302\303\304!!\"\305BC\207" [format "hides
> > \\(%s.*\\)" file-name-directory locate-library "simple.el" (1
> > font-lock-warning-face)] 5)
>
> I don't understand why it doesn't find this.  Does evaluating
>
> (locate-library "simple.el")
>
> always fail on your system?  If so, what is your value of the variable
> `load-path'?
>
Ken Brown explained this one.  I haven't loaded the emacs-el cygwin package.
> ...
> > The problem is fixed by setting split-width-threshold to 500.
>
> nil should be more intuitive.
>
> > I did try setting it to nil as the variable's documentation
> > suggests and the customization dialog told me the value of the variable
> > needed to be an integer.  Don't know if it accepted nil anyway or
> > rejected it or what, but 500 sure works. Thanks again.
>
> In the dialog you are not allowed to insert nil in the field reserved
> for numbers.  You should use the "Value Menu" button and select "nil"
> from the choices presented there.  Please try again.

Ah, that's how you use that customization buffer thingie.  I've paid it 
and customizations as little attention as possible since they appeared 
(I said long-suffering, but maybe just unsufferably lazy). "Value Menu" 
indeed does the trick.

> ...
> martin
>
Doug




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12380; Package emacs. Full text available.

Message received at 12380 <at> debbugs.gnu.org:


Received: (at 12380) by debbugs.gnu.org; 9 Sep 2012 13:45:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 09 09:45:40 2012
Received: from localhost ([127.0.0.1]:49747 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TAhpU-0005Nh-DH
	for submit <at> debbugs.gnu.org; Sun, 09 Sep 2012 09:45:40 -0400
Received: from limestone5.mail.cornell.edu ([128.253.83.165]:49731)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <kbrown@HIDDEN>) id 1TAhpS-0005NX-0L
	for 12380 <at> debbugs.gnu.org; Sun, 09 Sep 2012 09:45:39 -0400
X-CornellRouted: This message has been Routed already.
Received: from soapstone1.mail.cornell.edu (soapstone1.mail.cornell.edu
	[128.253.83.143])
	by limestone5.mail.cornell.edu (8.14.4/8.14.4) with ESMTP id
	q89Dj7Zw007056
	for <12380 <at> debbugs.gnu.org>; Sun, 9 Sep 2012 09:45:07 -0400 (EDT)
Received: from authusersmtp.mail.cornell.edu (granite2.mail.cornell.edu
	[128.253.83.142])
	by soapstone1.mail.cornell.edu (8.14.4/8.14.4) with ESMTP id
	q89DjEYM016875; Sun, 9 Sep 2012 09:45:14 -0400 (EDT)
Received: from [192.168.1.3] (cpe-67-249-194-47.twcny.res.rr.com
	[67.249.194.47]) (authenticated bits=0)
	by authusersmtp.mail.cornell.edu (8.14.4/8.12.10) with ESMTP id
	q89Dj4IM024924
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NOT);
	Sun, 9 Sep 2012 09:45:04 -0400 (EDT)
Message-ID: <504C9D60.4000105@HIDDEN>
Date: Sun, 09 Sep 2012 09:45:04 -0400
From: Ken Brown <kbrown@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64;
	rv:15.0) Gecko/20120824 Thunderbird/15.0
MIME-Version: 1.0
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#12380: other window related commands broken
References: <504A43D2.1010307@HIDDEN> <504A5866.9010009@HIDDEN>
	<504A724B.3020202@HIDDEN> <504AFF67.7070600@HIDDEN>
	<504BF230.1000805@HIDDEN> <504C69FE.7000208@HIDDEN>
In-Reply-To: <504C69FE.7000208@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-PMX-CORNELL-SPAM-CHECKED: Pawpaw
X-PMX-Version: 5.5.9.395186, Antispam-Engine: 2.7.2.376379,
	Antispam-Data: 2012.9.9.133616
X-Original-Sender: kbrown@HIDDEN - Sun Sep  9 09:45:05 2012
X-PMX-CORNELL-REASON: CU_White_List_Override
X-Spam-Score: -4.6 (----)
X-Debbugs-Envelope-To: 12380
Cc: Doug Morgan <dougrm@HIDDEN>, 12380 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.6 (----)

On 9/9/2012 6:05 AM, martin rudalics wrote:
>  > First, here is what the debugger says when I try to "Send Bug
> Report:..."
>  > Debugger entered--Lisp error: (wrong-type-argument stringp nil)
>  >   file-name-directory(nil)
>  >   byte-code("\300\301\302\303\304!!\"\305BC\207" [format "hides
>  > \\(%s.*\\)" file-name-directory locate-library "simple.el" (1
>  > font-lock-warning-face)] 5)
>
> I don't understand why it doesn't find this.  Does evaluating
>
> (locate-library "simple.el")
>
> always fail on your system?  If so, what is your value of the variable
> `load-path'?

Cygwin users who install the emacs package don't get the elisp sources; 
they have to install the emacs-el package for that.  So if Doug hasn't 
installed emacs-el, then (locate-library "simple.el") will fail, whereas 
(locate-library "simple") will correctly give 
"/usr/share/emacs/24.2/lisp/simple.elc".

Ken





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12380; Package emacs. Full text available.

Message received at 12380 <at> debbugs.gnu.org:


Received: (at 12380) by debbugs.gnu.org; 9 Sep 2012 10:06:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 09 06:06:03 2012
Received: from localhost ([127.0.0.1]:49627 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TAeOw-00085l-VA
	for submit <at> debbugs.gnu.org; Sun, 09 Sep 2012 06:06:03 -0400
Received: from mailout-de.gmx.net ([213.165.64.23]:50518)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1TAeOv-00085N-4q
	for 12380 <at> debbugs.gnu.org; Sun, 09 Sep 2012 06:06:02 -0400
Received: (qmail invoked by alias); 09 Sep 2012 10:05:31 -0000
Received: from 62-47-60-139.adsl.highway.telekom.at (EHLO [62.47.60.139])
	[62.47.60.139]
	by mail.gmx.net (mp037) with SMTP; 09 Sep 2012 12:05:31 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1+Sgg55Bp+Swg2rhqOFES11gmlulOX4odls31c9sL
	/uKkRYa4pOPbSp
Message-ID: <504C69FE.7000208@HIDDEN>
Date: Sun, 09 Sep 2012 12:05:50 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Doug Morgan <dougrm@HIDDEN>
Subject: Re: bug#12380: other window related commands broken
References: <504A43D2.1010307@HIDDEN> <504A5866.9010009@HIDDEN>
	<504A724B.3020202@HIDDEN> <504AFF67.7070600@HIDDEN>
	<504BF230.1000805@HIDDEN>
In-Reply-To: <504BF230.1000805@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 12380
Cc: bug-gnu-emacs@HIDDEN, 12380 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

 > First, here is what the debugger says when I try to "Send Bug Report:..."
 > Debugger entered--Lisp error: (wrong-type-argument stringp nil)
 >   file-name-directory(nil)
 >   byte-code("\300\301\302\303\304!!\"\305BC\207" [format "hides
 > \\(%s.*\\)" file-name-directory locate-library "simple.el" (1
 > font-lock-warning-face)] 5)

I don't understand why it doesn't find this.  Does evaluating

(locate-library "simple.el")

always fail on your system?  If so, what is your value of the variable
`load-path'?

 > I did exactly flip my usage of vertical and
 > horizontal splitting from the emacs usage of the term.  I should have
 > said "One of the windows **splits horizontally**(!!) ".

The terms vertically/horizontally have caused lots of confusion in the
past and meanwhile should have been elided from all references to window
splitting.

 > In any case the
 > bad split is into two side-by-side windows. The to-my-taste poor
 > splitting happens when (window-total-width) >= 164.

I see.

 > The problem is fixed by setting split-width-threshold to 500.

nil should be more intuitive.

 > I did try setting it to nil as the variable's documentation
 > suggests and the customization dialog told me the value of the variable
 > needed to be an integer.  Don't know if it accepted nil anyway or
 > rejected it or what, but 500 sure works. Thanks again.

In the dialog you are not allowed to insert nil in the field reserved
for numbers.  You should use the "Value Menu" button and select "nil"
from the choices presented there.  Please try again.

 > I do think split-width-threshold should default to never splitting
 > horizontally (I've got the right word this time), but that's just
 > decades of never have wide windows automatically split horizontally
 > talking.  Maybe it will seem perfectly natural to someone not shocked to
 > see it.

IIRC we made it an integer (albeit a large one) to make people notice
that they can use it.  I can't judge whether that was a good idea.

 > On second thought, I wouldn't so much mind emacs splitting a window
 > horizontally when I just have one window visible at the time.  That
 > might actually be nice.  However, when I already have my screen split in
 > two, but vertically, I think it's a bad idea without redeeming qualities
 > to split one of the windows horizontally instead of just jumping to the
 > "other" already open window.

But that's why `split-width-threshold' is customizable.  More
experienced users can write their own `split-window-sensibly'
substitutes which gives them lots of additional possibilites.

 > So, I'm changing my bug report to say that emacs should never
 > automatically introduce any new split for M-x M-b (and similar commands)
 > when it already has two or more open windows (regardless of how they are
 > arranged).  The problem is just a bit deeper than simply changing the
 > value of split-width-threshold.

Maybe someone has a good idea on how to improve this.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12380; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Sep 2012 10:06:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 09 06:06:08 2012
Received: from localhost ([127.0.0.1]:49630 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TAeP2-000861-CG
	for submit <at> debbugs.gnu.org; Sun, 09 Sep 2012 06:06:08 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44996)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1TAeP0-00085u-Bb
	for submit <at> debbugs.gnu.org; Sun, 09 Sep 2012 06:06:06 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <rudalics@HIDDEN>) id 1TAeOW-0003Ip-PI
	for submit <at> debbugs.gnu.org; Sun, 09 Sep 2012 06:05:37 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_HI autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:50277)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rudalics@HIDDEN>) id 1TAeOW-0003Ik-Du
	for submit <at> debbugs.gnu.org; Sun, 09 Sep 2012 06:05:36 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38422)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rudalics@HIDDEN>) id 1TAeOV-0007uC-6F
	for bug-gnu-emacs@HIDDEN; Sun, 09 Sep 2012 06:05:36 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <rudalics@HIDDEN>) id 1TAeOU-0003I7-3U
	for bug-gnu-emacs@HIDDEN; Sun, 09 Sep 2012 06:05:35 -0400
Received: from mailout-de.gmx.net ([213.165.64.23]:33235)
	by eggs.gnu.org with smtp (Exim 4.71)
	(envelope-from <rudalics@HIDDEN>) id 1TAeOT-0003Hv-Pp
	for bug-gnu-emacs@HIDDEN; Sun, 09 Sep 2012 06:05:34 -0400
Received: (qmail invoked by alias); 09 Sep 2012 10:05:31 -0000
Received: from 62-47-60-139.adsl.highway.telekom.at (EHLO [62.47.60.139])
	[62.47.60.139]
	by mail.gmx.net (mp037) with SMTP; 09 Sep 2012 12:05:31 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1+Sgg55Bp+Swg2rhqOFES11gmlulOX4odls31c9sL
	/uKkRYa4pOPbSp
Message-ID: <504C69FE.7000208@HIDDEN>
Date: Sun, 09 Sep 2012 12:05:50 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Doug Morgan <dougrm@HIDDEN>
Subject: Re: bug#12380: other window related commands broken
References: <504A43D2.1010307@HIDDEN> <504A5866.9010009@HIDDEN>
	<504A724B.3020202@HIDDEN> <504AFF67.7070600@HIDDEN>
	<504BF230.1000805@HIDDEN>
In-Reply-To: <504BF230.1000805@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
Cc: bug-gnu-emacs@HIDDEN, 12380 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

 > First, here is what the debugger says when I try to "Send Bug Report:..."
 > Debugger entered--Lisp error: (wrong-type-argument stringp nil)
 >   file-name-directory(nil)
 >   byte-code("\300\301\302\303\304!!\"\305BC\207" [format "hides
 > \\(%s.*\\)" file-name-directory locate-library "simple.el" (1
 > font-lock-warning-face)] 5)

I don't understand why it doesn't find this.  Does evaluating

(locate-library "simple.el")

always fail on your system?  If so, what is your value of the variable
`load-path'?

 > I did exactly flip my usage of vertical and
 > horizontal splitting from the emacs usage of the term.  I should have
 > said "One of the windows **splits horizontally**(!!) ".

The terms vertically/horizontally have caused lots of confusion in the
past and meanwhile should have been elided from all references to window
splitting.

 > In any case the
 > bad split is into two side-by-side windows. The to-my-taste poor
 > splitting happens when (window-total-width) >= 164.

I see.

 > The problem is fixed by setting split-width-threshold to 500.

nil should be more intuitive.

 > I did try setting it to nil as the variable's documentation
 > suggests and the customization dialog told me the value of the variable
 > needed to be an integer.  Don't know if it accepted nil anyway or
 > rejected it or what, but 500 sure works. Thanks again.

In the dialog you are not allowed to insert nil in the field reserved
for numbers.  You should use the "Value Menu" button and select "nil"
from the choices presented there.  Please try again.

 > I do think split-width-threshold should default to never splitting
 > horizontally (I've got the right word this time), but that's just
 > decades of never have wide windows automatically split horizontally
 > talking.  Maybe it will seem perfectly natural to someone not shocked to
 > see it.

IIRC we made it an integer (albeit a large one) to make people notice
that they can use it.  I can't judge whether that was a good idea.

 > On second thought, I wouldn't so much mind emacs splitting a window
 > horizontally when I just have one window visible at the time.  That
 > might actually be nice.  However, when I already have my screen split in
 > two, but vertically, I think it's a bad idea without redeeming qualities
 > to split one of the windows horizontally instead of just jumping to the
 > "other" already open window.

But that's why `split-width-threshold' is customizable.  More
experienced users can write their own `split-window-sensibly'
substitutes which gives them lots of additional possibilites.

 > So, I'm changing my bug report to say that emacs should never
 > automatically introduce any new split for M-x M-b (and similar commands)
 > when it already has two or more open windows (regardless of how they are
 > arranged).  The problem is just a bit deeper than simply changing the
 > value of split-width-threshold.

Maybe someone has a good idea on how to improve this.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12380; Package emacs. Full text available.

Message received at 12380 <at> debbugs.gnu.org:


Received: (at 12380) by debbugs.gnu.org; 9 Sep 2012 01:35:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 08 21:35:15 2012
Received: from localhost ([127.0.0.1]:49290 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TAWQc-0002Vj-Nc
	for submit <at> debbugs.gnu.org; Sat, 08 Sep 2012 21:35:15 -0400
Received: from elasmtp-masked.atl.sa.earthlink.net ([209.86.89.68]:40218)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dougrm@HIDDEN>) id 1TAWQZ-0002Vb-2B
	for 12380 <at> debbugs.gnu.org; Sat, 08 Sep 2012 21:35:13 -0400
Received: from [76.21.104.63] (helo=[192.168.0.2])
	by elasmtp-masked.atl.sa.earthlink.net with esmtpsa
	(TLSv1:AES256-SHA:256) (Exim 4.67)
	(envelope-from <dougrm@HIDDEN>)
	id 1TAWQ7-0001Gl-DM; Sat, 08 Sep 2012 21:34:43 -0400
Message-ID: <504BF230.1000805@HIDDEN>
Date: Sat, 08 Sep 2012 18:34:40 -0700
From: Doug Morgan <dougrm@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.0;
	rv:14.0) Gecko/20120713 Thunderbird/14.0
MIME-Version: 1.0
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#12380: other window related commands broken
References: <504A43D2.1010307@HIDDEN> <504A5866.9010009@HIDDEN>
	<504A724B.3020202@HIDDEN> <504AFF67.7070600@HIDDEN>
In-Reply-To: <504AFF67.7070600@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-ELNK-Trace: f1ad82a4556da985904be2c59b54ee5a9ef193a6bfc3dd489fdc0e49cd11e0dec8755b8572c990c5a8438e0f32a48e08350badd9bab72f9c350badd9bab72f9c
X-Originating-IP: 76.21.104.63
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 12380
Cc: bug-gnu-emacs@HIDDEN, 12380 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

First, here is what the debugger says when I try to "Send Bug Report:..."
Debugger entered--Lisp error: (wrong-type-argument stringp nil)
   file-name-directory(nil)
   byte-code("\300\301\302\303\304!!\"\305BC\207" [format "hides 
\\(%s.*\\)" file-name-directory locate-library "simple.el" (1 
font-lock-warning-face)] 5)
   (defvar load-path-shadows-font-lock-keywords (byte-code 
"\300\301\302\303\304!!\"\305BC\207" [format "hides \\(%s.*\\)" 
file-name-directory locate-library "simple.el" (1 
font-lock-warning-face)] 5) 
("/usr/share/emacs/24.2/lisp/emacs-lisp/shadow.elc" . 3268))
   list-load-path-shadows(t)
   report-emacs-bug("other window splitting again" [24 50 24 2 
(help-echo #<frame emacs@Doug-PC 0x20068800> "mouse-1, mouse-2: sort by 
size" #<window 8 on *Buffer List*> #(" CRM Buffer                Size  
Mode              File\n" 0 1 (display (space :align-to 0)) 1 4 (face 
fixed-pitch) 4 5 (display (space :align-to 4)) 5 11 (keymap (keymap (13 
. Buffer-menu-sort-by-column) (follow-link . mouse-face) (mouse-2 . 
Buffer-menu-sort-by-column) (header-line keymap (mouse-2 . 
Buffer-menu-sort-by-column) (mouse-1 . Buffer-menu-sort-by-column))) 
mouse-face highlight help-echo "mouse-1, mouse-2: sort by buffer" column 
2) 11 27 (display (space :align-to 26)) 27 31 (column 3 help-echo 
"mouse-1, mouse-2: sort by size" mouse-face highlight keymap (keymap (13 
. Buffer-menu-sort-by-column) (follow-link . mouse-face) (mouse-2 . 
Buffer-menu-sort-by-column) (header-line keymap (mouse-2 . 
Buffer-menu-sort-by-column) (mouse-1 . Buffer-menu-sort-by-column)))) 31 
33 (display (space :align-to 32)) 33 37 (keymap (keymap (13 . 
Buffer-menu-sort-by-column) (follow-link . mouse-face) (mouse-2 . 
Buffer-menu-sort-by-column) (header-line keymap (mouse-2 . 
Buffer-menu-sort-by-column) (mouse-1 . Buffer-menu-sort-by-column))) 
mouse-face highlight help-echo "mouse-1, mouse-2: sort by mode" column 
4) 37 51 (display (space :align-to 50)) 51 55 (keymap (keymap (13 . 
Buffer-menu-sort-by-column) (follow-link . mouse-face) (mouse-2 . 
Buffer-menu-sort-by-column) (header-line keymap (mouse-2 . 
Buffer-menu-sort-by-column) (mouse-1 . Buffer-menu-sort-by-column))) 
mouse-face highlight help-echo "mouse-1, mouse-2: sort by file" column 
5) 55 56 (display (space :align-to 55))) 28) (help-echo #<frame 
emacs@Doug-PC 0x20068800> "Major mode\nmouse-1: Display major mode 
menu\nmouse-2: Show help for major mode\nmouse-3: Toggle minor modes" 
#<window 8 on *Buffer List*> #("Buffer Menu" 0 11 (local-map (keymap 
(mode-line keymap (down-mouse-3 keymap (abbrev-mode menu-item "Abbrev 
(Abbrev)" abbrev-mode :help "Automatically expand abbreviations" :button 
...) (auto-fill-mode menu-item "Auto fill (Fill)" auto-fill-mode :help 
"Automatically insert new lines" :button ...) (auto-revert-mode 
menu-item "Auto revert (ARev)" auto-revert-mode :help "Revert the buffer 
when the file on disk changes" :button ...) (auto-revert-tail-mode 
menu-item "Auto revert tail (Tail)" auto-revert-tail-mode :help "Revert 
the tail of the buffer when buffer grows" :enable ... :button ...) 
(flyspell-mode menu-item "Flyspell (Fly)" flyspell-mode :help "Spell 
checking on the fly" :button ...) (font-lock-mode menu-item "Font Lock" 
font-lock-mode :help "Syntax coloring" :button ...) (glasses-mode 
menu-item "Glasses (o^o)" glasses-mode :help "Insert virtual separators 
to make long identifiers easy to read" :button ...) (hide-ifdef-mode 
menu-item "Hide ifdef (Ifdef)" hide-ifdef-mode :help "Show/Hide code 
within #ifdef constructs" :button ...) (highlight-changes-mode menu-item 
"Highlight changes (Chg)" highlight-changes-mode :help "Show changes in 
the buffer in a distinctive color" :button ...) (outline-minor-mode 
menu-item "Outline (Outl)" outline-minor-mode :help "" :button ...) 
(overwrite-mode menu-item "Overwrite (Ovwrt)" overwrite-mode :help 
"Overwrite mode: typed characters replace existing text" :button ...) 
"Minor Modes") (mouse-2 . describe-mode) (down-mouse-1 menu-item "Menu 
Bar" ignore :filter (lambda ... ...)))) mouse-face mode-line-highlight 
help-echo "Major mode\nmouse-1: Display major mode menu\nmouse-2: Show 
help for major mode\nmouse-3: Toggle minor modes")) 9) (help-echo 
#<frame emacs@Doug-PC 0x20068800> "mouse-1: Select (drag to 
resize)\nmouse-2: Make current window occupy the whole frame\nmouse-3: 
Remove current window from display" #<window 8 on *Buffer List*> #("   " 
0 3 (help-echo "mouse-1: Select (drag to resize)\nmouse-2: Make current 
window occupy the whole frame\nmouse-3: Remove current window from 
display")) 0) (help-echo #<frame emacs@Doug-PC 0x20068800> "Buffer 
name\nmouse-1: previous buffer\nmouse-3: next buffer" #<window 8 on 
*Buffer List*> #("%12b" 0 4 (local-map (keymap (header-line keymap 
(mouse-3 . mode-line-next-buffer) (down-mouse-3 . ignore) (mouse-1 . 
mode-line-previous-buffer) (down-mouse-1 . ignore)) (mode-line keymap 
(mouse-3 . mode-line-next-buffer) (mouse-1 . 
mode-line-previous-buffer))) mouse-face mode-line-highlight help-echo 
"Buffer name\nmouse-1: previous buffer\nmouse-3: next buffer" face 
mode-line-buffer-id)) 1) (help-echo #<frame emacs@Doug-PC 0x20068800> 
"Read a directory, to operate on its files" nil nil 0) (help-echo 
#<frame emacs@Doug-PC 0x20068800> "Make text in active region stand out 
in color (Transient Mark mode)" nil nil 0) (help-echo #<frame 
emacs@Doug-PC 0x20068800> "Highlight matching/mismatched parentheses at 
cursor (Show Paren mode)" nil nil 0) (help-echo #<frame emacs@Doug-PC 
0x20068800> "Automatically fill text while typing (Auto Fill mode)" nil 
nil 0) (help-echo #<frame emacs@Doug-PC 0x20068800> "Ignore letter-case 
in search commands" nil nil 0) (help-echo #<frame emacs@Doug-PC 
0x20068800> "Use C-z/C-x/C-c/C-v keys for undo/cut/copy/paste" nil nil 
0) (help-echo #<frame emacs@Doug-PC 0x20068800> "Uniquify buffer names 
by adding parent directory names" nil nil 0) (help-echo #<frame 
emacs@Doug-PC 0x20068800> "Visit files of previous session when 
restarting Emacs" nil nil 0) (help-echo #<frame emacs@Doug-PC 
0x20068800> "Uniquify buffer names by adding parent directory names" nil 
nil 0) (help-echo #<frame emacs@Doug-PC 0x20068800> "Use C-z/C-x/C-c/C-v 
keys for undo/cut/copy/paste" nil nil 0) (help-echo #<frame 
emacs@Doug-PC 0x20068800> "Ignore letter-case in search commands" nil 
nil 0) (help-echo #<frame emacs@Doug-PC 0x20068800> "Use C-z/C-x/C-c/C-v 
keys for undo/cut/copy/paste" nil nil 0) (help-echo #<frame 
emacs@Doug-PC 0x20068800> "Uniquify buffer names by adding parent 
directory names" nil nil 0) (help-echo #<frame emacs@Doug-PC 0x20068800> 
"Visit files of previous session when restarting Emacs" nil nil 0) 
(help-echo #<frame emacs@Doug-PC 0x20068800> "Whether the cursor blinks 
(Blink Cursor mode)" nil nil 0) (help-echo #<frame emacs@Doug-PC 
0x20068800> "Enter Lisp debugger when an error is signaled" nil nil 0) 
(help-echo #<frame emacs@Doug-PC 0x20068800> "Enter Lisp debugger when 
C-g is pressed" nil nil 0) (help-echo #<frame emacs@Doug-PC 0x20068800> 
"Enter Lisp debugger when an error is signaled" nil nil 0) (help-echo 
#<frame emacs@Doug-PC 0x20068800> "Whether the cursor blinks (Blink 
Cursor mode)" nil nil 0) (help-echo #<frame emacs@Doug-PC 0x20068800> 
"Visit files of previous session when restarting Emacs" nil nil 0) 
(help-echo #<frame emacs@Doug-PC 0x20068800> "Whether the cursor blinks 
(Blink Cursor mode)" nil nil 0) (help-echo #<frame emacs@Doug-PC 
0x20068800> "Enter Lisp debugger when an error is signaled" nil nil 0) 
(menu-bar) options debug-on-error (help-echo #<frame emacs@Doug-PC 
0x20068800> "Cut (kill) text in region between mark and current 
position" nil nil 0) (help-echo #<frame emacs@Doug-PC 0x20068800> "Learn 
how to use Emacs" nil nil 0) (help-echo #<frame emacs@Doug-PC 
0x20068800> "Learn how to use Emacs (choose a language)" nil nil 0) 
(help-echo #<frame emacs@Doug-PC 0x20068800> "Frequently asked (and 
answered) questions about Emacs" nil nil 0) (help-echo #<frame 
emacs@Doug-PC 0x20068800> "New features of this version" nil nil 0) 
(help-echo #<frame emacs@Doug-PC 0x20068800> "Read about known problems 
with Emacs" nil nil 0) (help-echo #<frame emacs@Doug-PC 0x20068800> 
"Send e-mail to Emacs maintainers" nil nil 0) (help-echo #<frame 
emacs@Doug-PC 0x20068800> "Our doctor will help you feel better" nil nil 
0) (help-echo #<frame emacs@Doug-PC 0x20068800> "Send e-mail to Emacs 
maintainers" nil nil 0) (menu-bar) help-menu send-emacs-bug-report])
   call-interactively(report-emacs-bug nil nil)

It's in a window named *Backtrace* so I hope that is the backtrace you want.

I almost thought I was going crazy, I could not reproduce the problem.  
Then I found the missing trick is to widen the entire emacs window.  
Then I read your email more carefully and checked that 
split_window_threshold was 160 and that it was changed/introduced in 
23.1 (which is about when I first started noticing the problem but 
figured I'd wait for an new version before reporting it - long suffering 
is my middle name).  I did exactly flip my usage of vertical and 
horizontal splitting from the emacs usage of the term.  I should have 
said "One of the windows **splits horizontally**(!!) ".  In any case the 
bad split is into two side-by-side windows. The to-my-taste poor 
splitting happens when (window-total-width) >= 164.

The problem is fixed by setting split-width-threshold to 500. Thank 
you!  I did try setting it to nil as the variable's documentation 
suggests and the customization dialog told me the value of the variable 
needed to be an integer.  Don't know if it accepted nil anyway or 
rejected it or what, but 500 sure works. Thanks again.

I do think split-width-threshold should default to never splitting 
horizontally (I've got the right word this time), but that's just 
decades of never have wide windows automatically split horizontally 
talking.  Maybe it will seem perfectly natural to someone not shocked to 
see it.

On second thought, I wouldn't so much mind emacs splitting a window 
horizontally when I just have one window visible at the time.  That 
might actually be nice.  However, when I already have my screen split in 
two, but vertically, I think it's a bad idea without redeeming qualities 
to split one of the windows horizontally instead of just jumping to the 
"other" already open window.

So, I'm changing my bug report to say that emacs should never 
automatically introduce any new split for M-x M-b (and similar commands) 
when it already has two or more open windows (regardless of how they are 
arranged).  The problem is just a bit deeper than simply changing the 
value of split-width-threshold.

Doug

On 9/8/2012 1:18 AM, martin rudalics wrote:
> > I had only tested it with "emacs -q" (forgot about the Q version).
> > However, retesting with "emacs -Q" gives the same behavior.
>
> Interesting.
>
> > Also, the
> > menu only has "Send Bug Report..." which doesn't work for me "Wrong 
> type
> > argument: string, nil" after I enter a subject title (never having set
> > up emacs to handle mail).
>
> This should not happen.  Can you get us a backtrace by checking the
> "Enter Debugger on Error" entry in the Options menu before trying the
> "Send Bug Report...".  (My apologies if this has been reported before
> and already fixed.)
>
> > Inside the unsent email buffer was this interesting looking text 
> (and it
> > looked like it would go to bug-gnu-emacs@HIDDEN so I'm cc'ing that:
>
> Tha's what we need ;-)
>
> > In GNU Emacs 24.2.1 (i686-pc-cygwin, GTK+ Version 2.24.11)
> >  of 2012-08-27 on fiona
>
> I suppose the following
>
> > Major mode: Dired by name
>
> is not part of the recipe?  Anyway, back to your first report. Does
>
> >> One of the windows **splits vertically**(!!)
>
> mean that the new window appears on the right of another window or below
> it?  Also please tell us which window was split - the upper one or the
> lower one.  If the new window appears below, then in the window that
> gets split please do (before the split):
>
> M-: (window-total-height) RET
>
> and
>
> C-h v split-height-threshold
>
> If the new window appears on the right, please do
>
> M-: (window-total-width) RET
>
> and
>
> C-h v split-width-threshold
>
> instead.  In either case, tell us what gets printed by these.
>
> Thanks, martin
>





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12380; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Sep 2012 01:35:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 08 21:35:23 2012
Received: from localhost ([127.0.0.1]:49293 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TAWQj-0002W1-NR
	for submit <at> debbugs.gnu.org; Sat, 08 Sep 2012 21:35:22 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40800)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dougrm@HIDDEN>) id 1TAWQh-0002Vu-IF
	for submit <at> debbugs.gnu.org; Sat, 08 Sep 2012 21:35:20 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <dougrm@HIDDEN>) id 1TAWQF-0004GD-Fr
	for submit <at> debbugs.gnu.org; Sat, 08 Sep 2012 21:34:53 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_HI
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:53925)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <dougrm@HIDDEN>) id 1TAWQF-0004G8-CR
	for submit <at> debbugs.gnu.org; Sat, 08 Sep 2012 21:34:51 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57425)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <dougrm@HIDDEN>) id 1TAWQD-00007e-Ia
	for bug-gnu-emacs@HIDDEN; Sat, 08 Sep 2012 21:34:51 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <dougrm@HIDDEN>) id 1TAWQB-0004Fx-GX
	for bug-gnu-emacs@HIDDEN; Sat, 08 Sep 2012 21:34:49 -0400
Received: from elasmtp-masked.atl.sa.earthlink.net ([209.86.89.68]:40225)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <dougrm@HIDDEN>) id 1TAWQB-0004Fq-A8
	for bug-gnu-emacs@HIDDEN; Sat, 08 Sep 2012 21:34:47 -0400
Received: from [76.21.104.63] (helo=[192.168.0.2])
	by elasmtp-masked.atl.sa.earthlink.net with esmtpsa
	(TLSv1:AES256-SHA:256) (Exim 4.67)
	(envelope-from <dougrm@HIDDEN>)
	id 1TAWQ7-0001Gl-DM; Sat, 08 Sep 2012 21:34:43 -0400
Message-ID: <504BF230.1000805@HIDDEN>
Date: Sat, 08 Sep 2012 18:34:40 -0700
From: Doug Morgan <dougrm@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.0;
	rv:14.0) Gecko/20120713 Thunderbird/14.0
MIME-Version: 1.0
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#12380: other window related commands broken
References: <504A43D2.1010307@HIDDEN> <504A5866.9010009@HIDDEN>
	<504A724B.3020202@HIDDEN> <504AFF67.7070600@HIDDEN>
In-Reply-To: <504AFF67.7070600@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-ELNK-Trace: f1ad82a4556da985904be2c59b54ee5a9ef193a6bfc3dd489fdc0e49cd11e0dec8755b8572c990c5a8438e0f32a48e08350badd9bab72f9c350badd9bab72f9c
X-Originating-IP: 76.21.104.63
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4-2.6
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
Cc: bug-gnu-emacs@HIDDEN, 12380 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

First, here is what the debugger says when I try to "Send Bug Report:..."
Debugger entered--Lisp error: (wrong-type-argument stringp nil)
   file-name-directory(nil)
   byte-code("\300\301\302\303\304!!\"\305BC\207" [format "hides 
\\(%s.*\\)" file-name-directory locate-library "simple.el" (1 
font-lock-warning-face)] 5)
   (defvar load-path-shadows-font-lock-keywords (byte-code 
"\300\301\302\303\304!!\"\305BC\207" [format "hides \\(%s.*\\)" 
file-name-directory locate-library "simple.el" (1 
font-lock-warning-face)] 5) 
("/usr/share/emacs/24.2/lisp/emacs-lisp/shadow.elc" . 3268))
   list-load-path-shadows(t)
   report-emacs-bug("other window splitting again" [24 50 24 2 
(help-echo #<frame emacs@Doug-PC 0x20068800> "mouse-1, mouse-2: sort by 
size" #<window 8 on *Buffer List*> #(" CRM Buffer                Size  
Mode              File\n" 0 1 (display (space :align-to 0)) 1 4 (face 
fixed-pitch) 4 5 (display (space :align-to 4)) 5 11 (keymap (keymap (13 
. Buffer-menu-sort-by-column) (follow-link . mouse-face) (mouse-2 . 
Buffer-menu-sort-by-column) (header-line keymap (mouse-2 . 
Buffer-menu-sort-by-column) (mouse-1 . Buffer-menu-sort-by-column))) 
mouse-face highlight help-echo "mouse-1, mouse-2: sort by buffer" column 
2) 11 27 (display (space :align-to 26)) 27 31 (column 3 help-echo 
"mouse-1, mouse-2: sort by size" mouse-face highlight keymap (keymap (13 
. Buffer-menu-sort-by-column) (follow-link . mouse-face) (mouse-2 . 
Buffer-menu-sort-by-column) (header-line keymap (mouse-2 . 
Buffer-menu-sort-by-column) (mouse-1 . Buffer-menu-sort-by-column)))) 31 
33 (display (space :align-to 32)) 33 37 (keymap (keymap (13 . 
Buffer-menu-sort-by-column) (follow-link . mouse-face) (mouse-2 . 
Buffer-menu-sort-by-column) (header-line keymap (mouse-2 . 
Buffer-menu-sort-by-column) (mouse-1 . Buffer-menu-sort-by-column))) 
mouse-face highlight help-echo "mouse-1, mouse-2: sort by mode" column 
4) 37 51 (display (space :align-to 50)) 51 55 (keymap (keymap (13 . 
Buffer-menu-sort-by-column) (follow-link . mouse-face) (mouse-2 . 
Buffer-menu-sort-by-column) (header-line keymap (mouse-2 . 
Buffer-menu-sort-by-column) (mouse-1 . Buffer-menu-sort-by-column))) 
mouse-face highlight help-echo "mouse-1, mouse-2: sort by file" column 
5) 55 56 (display (space :align-to 55))) 28) (help-echo #<frame 
emacs@Doug-PC 0x20068800> "Major mode\nmouse-1: Display major mode 
menu\nmouse-2: Show help for major mode\nmouse-3: Toggle minor modes" 
#<window 8 on *Buffer List*> #("Buffer Menu" 0 11 (local-map (keymap 
(mode-line keymap (down-mouse-3 keymap (abbrev-mode menu-item "Abbrev 
(Abbrev)" abbrev-mode :help "Automatically expand abbreviations" :button 
...) (auto-fill-mode menu-item "Auto fill (Fill)" auto-fill-mode :help 
"Automatically insert new lines" :button ...) (auto-revert-mode 
menu-item "Auto revert (ARev)" auto-revert-mode :help "Revert the buffer 
when the file on disk changes" :button ...) (auto-revert-tail-mode 
menu-item "Auto revert tail (Tail)" auto-revert-tail-mode :help "Revert 
the tail of the buffer when buffer grows" :enable ... :button ...) 
(flyspell-mode menu-item "Flyspell (Fly)" flyspell-mode :help "Spell 
checking on the fly" :button ...) (font-lock-mode menu-item "Font Lock" 
font-lock-mode :help "Syntax coloring" :button ...) (glasses-mode 
menu-item "Glasses (o^o)" glasses-mode :help "Insert virtual separators 
to make long identifiers easy to read" :button ...) (hide-ifdef-mode 
menu-item "Hide ifdef (Ifdef)" hide-ifdef-mode :help "Show/Hide code 
within #ifdef constructs" :button ...) (highlight-changes-mode menu-item 
"Highlight changes (Chg)" highlight-changes-mode :help "Show changes in 
the buffer in a distinctive color" :button ...) (outline-minor-mode 
menu-item "Outline (Outl)" outline-minor-mode :help "" :button ...) 
(overwrite-mode menu-item "Overwrite (Ovwrt)" overwrite-mode :help 
"Overwrite mode: typed characters replace existing text" :button ...) 
"Minor Modes") (mouse-2 . describe-mode) (down-mouse-1 menu-item "Menu 
Bar" ignore :filter (lambda ... ...)))) mouse-face mode-line-highlight 
help-echo "Major mode\nmouse-1: Display major mode menu\nmouse-2: Show 
help for major mode\nmouse-3: Toggle minor modes")) 9) (help-echo 
#<frame emacs@Doug-PC 0x20068800> "mouse-1: Select (drag to 
resize)\nmouse-2: Make current window occupy the whole frame\nmouse-3: 
Remove current window from display" #<window 8 on *Buffer List*> #("   " 
0 3 (help-echo "mouse-1: Select (drag to resize)\nmouse-2: Make current 
window occupy the whole frame\nmouse-3: Remove current window from 
display")) 0) (help-echo #<frame emacs@Doug-PC 0x20068800> "Buffer 
name\nmouse-1: previous buffer\nmouse-3: next buffer" #<window 8 on 
*Buffer List*> #("%12b" 0 4 (local-map (keymap (header-line keymap 
(mouse-3 . mode-line-next-buffer) (down-mouse-3 . ignore) (mouse-1 . 
mode-line-previous-buffer) (down-mouse-1 . ignore)) (mode-line keymap 
(mouse-3 . mode-line-next-buffer) (mouse-1 . 
mode-line-previous-buffer))) mouse-face mode-line-highlight help-echo 
"Buffer name\nmouse-1: previous buffer\nmouse-3: next buffer" face 
mode-line-buffer-id)) 1) (help-echo #<frame emacs@Doug-PC 0x20068800> 
"Read a directory, to operate on its files" nil nil 0) (help-echo 
#<frame emacs@Doug-PC 0x20068800> "Make text in active region stand out 
in color (Transient Mark mode)" nil nil 0) (help-echo #<frame 
emacs@Doug-PC 0x20068800> "Highlight matching/mismatched parentheses at 
cursor (Show Paren mode)" nil nil 0) (help-echo #<frame emacs@Doug-PC 
0x20068800> "Automatically fill text while typing (Auto Fill mode)" nil 
nil 0) (help-echo #<frame emacs@Doug-PC 0x20068800> "Ignore letter-case 
in search commands" nil nil 0) (help-echo #<frame emacs@Doug-PC 
0x20068800> "Use C-z/C-x/C-c/C-v keys for undo/cut/copy/paste" nil nil 
0) (help-echo #<frame emacs@Doug-PC 0x20068800> "Uniquify buffer names 
by adding parent directory names" nil nil 0) (help-echo #<frame 
emacs@Doug-PC 0x20068800> "Visit files of previous session when 
restarting Emacs" nil nil 0) (help-echo #<frame emacs@Doug-PC 
0x20068800> "Uniquify buffer names by adding parent directory names" nil 
nil 0) (help-echo #<frame emacs@Doug-PC 0x20068800> "Use C-z/C-x/C-c/C-v 
keys for undo/cut/copy/paste" nil nil 0) (help-echo #<frame 
emacs@Doug-PC 0x20068800> "Ignore letter-case in search commands" nil 
nil 0) (help-echo #<frame emacs@Doug-PC 0x20068800> "Use C-z/C-x/C-c/C-v 
keys for undo/cut/copy/paste" nil nil 0) (help-echo #<frame 
emacs@Doug-PC 0x20068800> "Uniquify buffer names by adding parent 
directory names" nil nil 0) (help-echo #<frame emacs@Doug-PC 0x20068800> 
"Visit files of previous session when restarting Emacs" nil nil 0) 
(help-echo #<frame emacs@Doug-PC 0x20068800> "Whether the cursor blinks 
(Blink Cursor mode)" nil nil 0) (help-echo #<frame emacs@Doug-PC 
0x20068800> "Enter Lisp debugger when an error is signaled" nil nil 0) 
(help-echo #<frame emacs@Doug-PC 0x20068800> "Enter Lisp debugger when 
C-g is pressed" nil nil 0) (help-echo #<frame emacs@Doug-PC 0x20068800> 
"Enter Lisp debugger when an error is signaled" nil nil 0) (help-echo 
#<frame emacs@Doug-PC 0x20068800> "Whether the cursor blinks (Blink 
Cursor mode)" nil nil 0) (help-echo #<frame emacs@Doug-PC 0x20068800> 
"Visit files of previous session when restarting Emacs" nil nil 0) 
(help-echo #<frame emacs@Doug-PC 0x20068800> "Whether the cursor blinks 
(Blink Cursor mode)" nil nil 0) (help-echo #<frame emacs@Doug-PC 
0x20068800> "Enter Lisp debugger when an error is signaled" nil nil 0) 
(menu-bar) options debug-on-error (help-echo #<frame emacs@Doug-PC 
0x20068800> "Cut (kill) text in region between mark and current 
position" nil nil 0) (help-echo #<frame emacs@Doug-PC 0x20068800> "Learn 
how to use Emacs" nil nil 0) (help-echo #<frame emacs@Doug-PC 
0x20068800> "Learn how to use Emacs (choose a language)" nil nil 0) 
(help-echo #<frame emacs@Doug-PC 0x20068800> "Frequently asked (and 
answered) questions about Emacs" nil nil 0) (help-echo #<frame 
emacs@Doug-PC 0x20068800> "New features of this version" nil nil 0) 
(help-echo #<frame emacs@Doug-PC 0x20068800> "Read about known problems 
with Emacs" nil nil 0) (help-echo #<frame emacs@Doug-PC 0x20068800> 
"Send e-mail to Emacs maintainers" nil nil 0) (help-echo #<frame 
emacs@Doug-PC 0x20068800> "Our doctor will help you feel better" nil nil 
0) (help-echo #<frame emacs@Doug-PC 0x20068800> "Send e-mail to Emacs 
maintainers" nil nil 0) (menu-bar) help-menu send-emacs-bug-report])
   call-interactively(report-emacs-bug nil nil)

It's in a window named *Backtrace* so I hope that is the backtrace you want.

I almost thought I was going crazy, I could not reproduce the problem.  
Then I found the missing trick is to widen the entire emacs window.  
Then I read your email more carefully and checked that 
split_window_threshold was 160 and that it was changed/introduced in 
23.1 (which is about when I first started noticing the problem but 
figured I'd wait for an new version before reporting it - long suffering 
is my middle name).  I did exactly flip my usage of vertical and 
horizontal splitting from the emacs usage of the term.  I should have 
said "One of the windows **splits horizontally**(!!) ".  In any case the 
bad split is into two side-by-side windows. The to-my-taste poor 
splitting happens when (window-total-width) >= 164.

The problem is fixed by setting split-width-threshold to 500. Thank 
you!  I did try setting it to nil as the variable's documentation 
suggests and the customization dialog told me the value of the variable 
needed to be an integer.  Don't know if it accepted nil anyway or 
rejected it or what, but 500 sure works. Thanks again.

I do think split-width-threshold should default to never splitting 
horizontally (I've got the right word this time), but that's just 
decades of never have wide windows automatically split horizontally 
talking.  Maybe it will seem perfectly natural to someone not shocked to 
see it.

On second thought, I wouldn't so much mind emacs splitting a window 
horizontally when I just have one window visible at the time.  That 
might actually be nice.  However, when I already have my screen split in 
two, but vertically, I think it's a bad idea without redeeming qualities 
to split one of the windows horizontally instead of just jumping to the 
"other" already open window.

So, I'm changing my bug report to say that emacs should never 
automatically introduce any new split for M-x M-b (and similar commands) 
when it already has two or more open windows (regardless of how they are 
arranged).  The problem is just a bit deeper than simply changing the 
value of split-width-threshold.

Doug

On 9/8/2012 1:18 AM, martin rudalics wrote:
> > I had only tested it with "emacs -q" (forgot about the Q version).
> > However, retesting with "emacs -Q" gives the same behavior.
>
> Interesting.
>
> > Also, the
> > menu only has "Send Bug Report..." which doesn't work for me "Wrong 
> type
> > argument: string, nil" after I enter a subject title (never having set
> > up emacs to handle mail).
>
> This should not happen.  Can you get us a backtrace by checking the
> "Enter Debugger on Error" entry in the Options menu before trying the
> "Send Bug Report...".  (My apologies if this has been reported before
> and already fixed.)
>
> > Inside the unsent email buffer was this interesting looking text 
> (and it
> > looked like it would go to bug-gnu-emacs@HIDDEN so I'm cc'ing that:
>
> Tha's what we need ;-)
>
> > In GNU Emacs 24.2.1 (i686-pc-cygwin, GTK+ Version 2.24.11)
> >  of 2012-08-27 on fiona
>
> I suppose the following
>
> > Major mode: Dired by name
>
> is not part of the recipe?  Anyway, back to your first report. Does
>
> >> One of the windows **splits vertically**(!!)
>
> mean that the new window appears on the right of another window or below
> it?  Also please tell us which window was split - the upper one or the
> lower one.  If the new window appears below, then in the window that
> gets split please do (before the split):
>
> M-: (window-total-height) RET
>
> and
>
> C-h v split-height-threshold
>
> If the new window appears on the right, please do
>
> M-: (window-total-width) RET
>
> and
>
> C-h v split-width-threshold
>
> instead.  In either case, tell us what gets printed by these.
>
> Thanks, martin
>





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12380; Package emacs. Full text available.

Message received at 12380 <at> debbugs.gnu.org:


Received: (at 12380) by debbugs.gnu.org; 8 Sep 2012 08:19:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 08 04:19:06 2012
Received: from localhost ([127.0.0.1]:47756 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TAGFt-0001R2-TO
	for submit <at> debbugs.gnu.org; Sat, 08 Sep 2012 04:19:06 -0400
Received: from mailout-de.gmx.net ([213.165.64.22]:36971)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1TAGFr-0001Qj-2k
	for 12380 <at> debbugs.gnu.org; Sat, 08 Sep 2012 04:19:04 -0400
Received: (qmail invoked by alias); 08 Sep 2012 08:18:39 -0000
Received: from 62-47-48-244.adsl.highway.telekom.at (EHLO [62.47.48.244])
	[62.47.48.244]
	by mail.gmx.net (mp010) with SMTP; 08 Sep 2012 10:18:39 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1/3bHFDCnr3sKJgfG96Kj+gc3OSBYAuPdEeGydrkb
	MvVtCMNcGROk81
Message-ID: <504AFF67.7070600@HIDDEN>
Date: Sat, 08 Sep 2012 10:18:47 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Doug Morgan <dougrm@HIDDEN>
Subject: Re: bug#12380: other window related commands broken
References: <504A43D2.1010307@HIDDEN> <504A5866.9010009@HIDDEN>
	<504A724B.3020202@HIDDEN>
In-Reply-To: <504A724B.3020202@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 12380
Cc: bug-gnu-emacs@HIDDEN, 12380 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

 > I had only tested it with "emacs -q" (forgot about the Q version).
 > However, retesting with "emacs -Q" gives the same behavior.

Interesting.

 > Also, the
 > menu only has "Send Bug Report..." which doesn't work for me "Wrong type
 > argument: string, nil" after I enter a subject title (never having set
 > up emacs to handle mail).

This should not happen.  Can you get us a backtrace by checking the
"Enter Debugger on Error" entry in the Options menu before trying the
"Send Bug Report...".  (My apologies if this has been reported before
and already fixed.)

 > Inside the unsent email buffer was this interesting looking text (and it
 > looked like it would go to bug-gnu-emacs@HIDDEN so I'm cc'ing that:

Tha's what we need ;-)

 > In GNU Emacs 24.2.1 (i686-pc-cygwin, GTK+ Version 2.24.11)
 >  of 2012-08-27 on fiona

I suppose the following

 > Major mode: Dired by name

is not part of the recipe?  Anyway, back to your first report.  Does

 >> One of the windows **splits vertically**(!!)

mean that the new window appears on the right of another window or below
it?  Also please tell us which window was split - the upper one or the
lower one.  If the new window appears below, then in the window that
gets split please do (before the split):

M-: (window-total-height) RET

and

C-h v split-height-threshold

If the new window appears on the right, please do

M-: (window-total-width) RET

and

C-h v split-width-threshold

instead.  In either case, tell us what gets printed by these.

Thanks, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12380; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Sep 2012 08:19:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 08 04:19:08 2012
Received: from localhost ([127.0.0.1]:47759 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TAGFw-0001RG-85
	for submit <at> debbugs.gnu.org; Sat, 08 Sep 2012 04:19:08 -0400
Received: from eggs.gnu.org ([208.118.235.92]:59961)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1TAGFu-0001R9-Li
	for submit <at> debbugs.gnu.org; Sat, 08 Sep 2012 04:19:07 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <rudalics@HIDDEN>) id 1TAGFX-0007Vo-Be
	for submit <at> debbugs.gnu.org; Sat, 08 Sep 2012 04:18:44 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_HI autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:48094)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rudalics@HIDDEN>) id 1TAGFX-0007Vk-8F
	for submit <at> debbugs.gnu.org; Sat, 08 Sep 2012 04:18:43 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58996)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rudalics@HIDDEN>) id 1TAGFV-0005Db-SR
	for bug-gnu-emacs@HIDDEN; Sat, 08 Sep 2012 04:18:43 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <rudalics@HIDDEN>) id 1TAGFU-0007VF-Vc
	for bug-gnu-emacs@HIDDEN; Sat, 08 Sep 2012 04:18:41 -0400
Received: from mailout-de.gmx.net ([213.165.64.22]:41434)
	by eggs.gnu.org with smtp (Exim 4.71)
	(envelope-from <rudalics@HIDDEN>) id 1TAGFU-0007V5-Kf
	for bug-gnu-emacs@HIDDEN; Sat, 08 Sep 2012 04:18:40 -0400
Received: (qmail invoked by alias); 08 Sep 2012 08:18:39 -0000
Received: from 62-47-48-244.adsl.highway.telekom.at (EHLO [62.47.48.244])
	[62.47.48.244]
	by mail.gmx.net (mp010) with SMTP; 08 Sep 2012 10:18:39 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1/3bHFDCnr3sKJgfG96Kj+gc3OSBYAuPdEeGydrkb
	MvVtCMNcGROk81
Message-ID: <504AFF67.7070600@HIDDEN>
Date: Sat, 08 Sep 2012 10:18:47 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Doug Morgan <dougrm@HIDDEN>
Subject: Re: bug#12380: other window related commands broken
References: <504A43D2.1010307@HIDDEN> <504A5866.9010009@HIDDEN>
	<504A724B.3020202@HIDDEN>
In-Reply-To: <504A724B.3020202@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
Cc: bug-gnu-emacs@HIDDEN, 12380 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

 > I had only tested it with "emacs -q" (forgot about the Q version).
 > However, retesting with "emacs -Q" gives the same behavior.

Interesting.

 > Also, the
 > menu only has "Send Bug Report..." which doesn't work for me "Wrong type
 > argument: string, nil" after I enter a subject title (never having set
 > up emacs to handle mail).

This should not happen.  Can you get us a backtrace by checking the
"Enter Debugger on Error" entry in the Options menu before trying the
"Send Bug Report...".  (My apologies if this has been reported before
and already fixed.)

 > Inside the unsent email buffer was this interesting looking text (and it
 > looked like it would go to bug-gnu-emacs@HIDDEN so I'm cc'ing that:

Tha's what we need ;-)

 > In GNU Emacs 24.2.1 (i686-pc-cygwin, GTK+ Version 2.24.11)
 >  of 2012-08-27 on fiona

I suppose the following

 > Major mode: Dired by name

is not part of the recipe?  Anyway, back to your first report.  Does

 >> One of the windows **splits vertically**(!!)

mean that the new window appears on the right of another window or below
it?  Also please tell us which window was split - the upper one or the
lower one.  If the new window appears below, then in the window that
gets split please do (before the split):

M-: (window-total-height) RET

and

C-h v split-height-threshold

If the new window appears on the right, please do

M-: (window-total-width) RET

and

C-h v split-width-threshold

instead.  In either case, tell us what gets printed by these.

Thanks, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12380; Package emacs. Full text available.

Message received at 12380 <at> debbugs.gnu.org:


Received: (at 12380) by debbugs.gnu.org; 8 Sep 2012 01:01:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 07 21:01:07 2012
Received: from localhost ([127.0.0.1]:47437 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TA9Q2-0007TW-GQ
	for submit <at> debbugs.gnu.org; Fri, 07 Sep 2012 21:01:06 -0400
Received: from limestone5.mail.cornell.edu ([128.253.83.165]:52744)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <kbrown@HIDDEN>) id 1TA9Py-0007TE-He
	for 12380 <at> debbugs.gnu.org; Fri, 07 Sep 2012 21:01:04 -0400
X-CornellRouted: This message has been Routed already.
Received: from orchid.mail.cornell.edu (orchid.mail.cornell.edu
	[132.236.56.61])
	by limestone5.mail.cornell.edu (8.14.4/8.14.4) with ESMTP id
	q8810dPs028752
	for <12380 <at> debbugs.gnu.org>; Fri, 7 Sep 2012 21:00:39 -0400 (EDT)
Received: from authusersmtp.mail.cornell.edu (granite2.mail.cornell.edu
	[128.253.83.142])
	by orchid.mail.cornell.edu (8.14.4/8.14.4) with ESMTP id q8810es0006169;
	Fri, 7 Sep 2012 21:00:40 -0400 (EDT)
Received: from [192.168.1.3] (cpe-67-249-194-47.twcny.res.rr.com
	[67.249.194.47]) (authenticated bits=0)
	by authusersmtp.mail.cornell.edu (8.14.4/8.12.10) with ESMTP id
	q8810cxC027018
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NOT);
	Fri, 7 Sep 2012 21:00:38 -0400 (EDT)
Message-ID: <504A98B2.5080105@HIDDEN>
Date: Fri, 07 Sep 2012 21:00:34 -0400
From: Ken Brown <kbrown@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64;
	rv:15.0) Gecko/20120824 Thunderbird/15.0
MIME-Version: 1.0
To: Doug Morgan <dougrm@HIDDEN>
Subject: Re: bug#12380: other window related commands broken
References: <504A43D2.1010307@HIDDEN> <504A5866.9010009@HIDDEN>
	<504A724B.3020202@HIDDEN>
In-Reply-To: <504A724B.3020202@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-PMX-CORNELL-SPAM-CHECKED: Pawpaw
X-PMX-Version: 5.5.9.395186, Antispam-Engine: 2.7.2.376379,
	Antispam-Data: 2012.9.8.4816
X-Original-Sender: kbrown@HIDDEN - Fri Sep  7 21:00:39 2012
X-PMX-CORNELL-REASON: CU_White_List_Override
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: 12380
Cc: martin rudalics <rudalics@HIDDEN>, 12380 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

On 9/7/2012 6:16 PM, Doug Morgan wrote:
> On 9/7/2012 1:26 PM, martin rudalics wrote:
>>> Edit a file
>>> C-x 2
>>> (OK, now you have a two windows split horizontally)
>>> C-x C-b
>>> One of the windows **splits vertically**(!!) to show the buffer menu.
>>
>> With emacs -Q here the lower window is used.

 > In GNU Emacs 24.2.1 (i686-pc-cygwin, GTK+ Version 2.24.11)
 >   of 2012-08-27 on fiona

I'm using the same Cygwin build as you, but I can't reproduce the 
problem.  I get the same results as Martin.  Are you sure you haven't 
left anything out of your recipe?

Ken




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12380; Package emacs. Full text available.

Message received at 12380 <at> debbugs.gnu.org:


Received: (at 12380) by debbugs.gnu.org; 7 Sep 2012 22:17:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 07 18:17:11 2012
Received: from localhost ([127.0.0.1]:47303 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TA6rP-0003eE-EC
	for submit <at> debbugs.gnu.org; Fri, 07 Sep 2012 18:17:11 -0400
Received: from elasmtp-banded.atl.sa.earthlink.net ([209.86.89.70]:38801)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dougrm@HIDDEN>) id 1TA6rN-0003e7-Ex
	for 12380 <at> debbugs.gnu.org; Fri, 07 Sep 2012 18:17:10 -0400
Received: from [76.21.104.63] (helo=[192.168.0.2])
	by elasmtp-banded.atl.sa.earthlink.net with esmtpsa
	(TLSv1:AES256-SHA:256) (Exim 4.67)
	(envelope-from <dougrm@HIDDEN>)
	id 1TA6r2-0006D9-73; Fri, 07 Sep 2012 18:16:48 -0400
Message-ID: <504A724B.3020202@HIDDEN>
Date: Fri, 07 Sep 2012 15:16:43 -0700
From: Doug Morgan <dougrm@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.0;
	rv:14.0) Gecko/20120713 Thunderbird/14.0
MIME-Version: 1.0
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#12380: other window related commands broken
References: <504A43D2.1010307@HIDDEN> <504A5866.9010009@HIDDEN>
In-Reply-To: <504A5866.9010009@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-ELNK-Trace: f1ad82a4556da985904be2c59b54ee5a9ef193a6bfc3dd48476eef6429ae3caec7bd95fc712cabcf3ae9702e2e88ebc7350badd9bab72f9c350badd9bab72f9c
X-Originating-IP: 76.21.104.63
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 12380
Cc: bug-gnu-emacs@HIDDEN, 12380 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

I had only tested it with "emacs -q" (forgot about the Q version).  
However, retesting with "emacs -Q" gives the same behavior.  Also, the 
menu only has "Send Bug Report..." which doesn't work for me "Wrong type 
argument: string, nil" after I enter a subject title (never having set 
up emacs to handle mail).

Inside the unsent email buffer was this interesting looking text (and it 
looked like it would go to bug-gnu-emacs@HIDDEN so I'm cc'ing that:

In GNU Emacs 24.2.1 (i686-pc-cygwin, GTK+ Version 2.24.11)
  of 2012-08-27 on fiona
Windowing system distributor `The Cygwin/X Project', version 11.0.11204000
Configured using:
  `configure
  '--srcdir=/home/kbrown/src/cygemacs/emacs-24.2-1/src/emacs-24.2'
  '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin'
  '--sbindir=/usr/sbin' '--libexecdir=/usr/lib' '--datadir=/usr/share'
  '--localstatedir=/var' '--sysconfdir=/etc' '--datarootdir=/usr/share'
  '--docdir=/usr/share/doc/emacs' '-C' '--without-gsettings'
  '--without-gconf' 'CC=gcc' 'CFLAGS=-ggdb -O2 -pipe
  -fdebug-prefix-map=/home/kbrown/src/cygemacs/emacs-24.2-1/build=/usr/src/debug/emacs-24.2-1
  -fdebug-prefix-map=/home/kbrown/src/cygemacs/emacs-24.2-1/src/emacs-24.2=/usr/src/debug/emacs-24.2-1'
  'LDFLAGS=-L/usr/lib/ncursesw' 'LIBS='
  'CPPFLAGS=-I/usr/include/ncursesw''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: en_US.UTF-8
   value of $XMODIFIERS: nil
   locale-coding-system: utf-8-unix
   default enable-multibyte-characters: t

Major mode: Dired by name

Minor modes in effect:
   tooltip-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t


Doug

On 9/7/2012 1:26 PM, martin rudalics wrote:
>> Edit a file
>> C-x 2
>> (OK, now you have a two windows split horizontally)
>> C-x C-b
>> One of the windows **splits vertically**(!!) to show the buffer menu. 
>
> With emacs -Q here the lower window is used.
>
>> Older versions of emacs (I don't know how far back you have to go) 
>> use the "other" window of the two horizontally split window to 
>> display the menu.  The old way is by far the better way.  The same 
>> thing happens with C-x 4 C-f and I think other C-x 4 commands. All 
>> make for annoying work cleaning up your windows after the unwanted 
>> vertical splits happen.
>
> Please test with emacs -Q and from the Help menu use the entry
> "How to Report a Bug" in order to provide the necessary information.
>
> Thanks, martin
>
>





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12380; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Sep 2012 22:17:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 07 18:17:18 2012
Received: from localhost ([127.0.0.1]:47306 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TA6rV-0003eV-Pq
	for submit <at> debbugs.gnu.org; Fri, 07 Sep 2012 18:17:18 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44665)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dougrm@HIDDEN>) id 1TA6rU-0003eO-Br
	for submit <at> debbugs.gnu.org; Fri, 07 Sep 2012 18:17:16 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <dougrm@HIDDEN>) id 1TA6r9-0003P9-Cl
	for submit <at> debbugs.gnu.org; Fri, 07 Sep 2012 18:16:56 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_HI
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:50461)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <dougrm@HIDDEN>) id 1TA6r9-0003P5-9z
	for submit <at> debbugs.gnu.org; Fri, 07 Sep 2012 18:16:55 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57313)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <dougrm@HIDDEN>) id 1TA6r8-0008R1-8Q
	for bug-gnu-emacs@HIDDEN; Fri, 07 Sep 2012 18:16:55 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <dougrm@HIDDEN>) id 1TA6r7-0003O3-4L
	for bug-gnu-emacs@HIDDEN; Fri, 07 Sep 2012 18:16:54 -0400
Received: from elasmtp-banded.atl.sa.earthlink.net ([209.86.89.70]:38844)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <dougrm@HIDDEN>) id 1TA6r6-0003Lu-VF
	for bug-gnu-emacs@HIDDEN; Fri, 07 Sep 2012 18:16:53 -0400
Received: from [76.21.104.63] (helo=[192.168.0.2])
	by elasmtp-banded.atl.sa.earthlink.net with esmtpsa
	(TLSv1:AES256-SHA:256) (Exim 4.67)
	(envelope-from <dougrm@HIDDEN>)
	id 1TA6r2-0006D9-73; Fri, 07 Sep 2012 18:16:48 -0400
Message-ID: <504A724B.3020202@HIDDEN>
Date: Fri, 07 Sep 2012 15:16:43 -0700
From: Doug Morgan <dougrm@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.0;
	rv:14.0) Gecko/20120713 Thunderbird/14.0
MIME-Version: 1.0
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#12380: other window related commands broken
References: <504A43D2.1010307@HIDDEN> <504A5866.9010009@HIDDEN>
In-Reply-To: <504A5866.9010009@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-ELNK-Trace: f1ad82a4556da985904be2c59b54ee5a9ef193a6bfc3dd48476eef6429ae3caec7bd95fc712cabcf3ae9702e2e88ebc7350badd9bab72f9c350badd9bab72f9c
X-Originating-IP: 76.21.104.63
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4-2.6
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
Cc: bug-gnu-emacs@HIDDEN, 12380 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

I had only tested it with "emacs -q" (forgot about the Q version).  
However, retesting with "emacs -Q" gives the same behavior.  Also, the 
menu only has "Send Bug Report..." which doesn't work for me "Wrong type 
argument: string, nil" after I enter a subject title (never having set 
up emacs to handle mail).

Inside the unsent email buffer was this interesting looking text (and it 
looked like it would go to bug-gnu-emacs@HIDDEN so I'm cc'ing that:

In GNU Emacs 24.2.1 (i686-pc-cygwin, GTK+ Version 2.24.11)
  of 2012-08-27 on fiona
Windowing system distributor `The Cygwin/X Project', version 11.0.11204000
Configured using:
  `configure
  '--srcdir=/home/kbrown/src/cygemacs/emacs-24.2-1/src/emacs-24.2'
  '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin'
  '--sbindir=/usr/sbin' '--libexecdir=/usr/lib' '--datadir=/usr/share'
  '--localstatedir=/var' '--sysconfdir=/etc' '--datarootdir=/usr/share'
  '--docdir=/usr/share/doc/emacs' '-C' '--without-gsettings'
  '--without-gconf' 'CC=gcc' 'CFLAGS=-ggdb -O2 -pipe
  -fdebug-prefix-map=/home/kbrown/src/cygemacs/emacs-24.2-1/build=/usr/src/debug/emacs-24.2-1
  -fdebug-prefix-map=/home/kbrown/src/cygemacs/emacs-24.2-1/src/emacs-24.2=/usr/src/debug/emacs-24.2-1'
  'LDFLAGS=-L/usr/lib/ncursesw' 'LIBS='
  'CPPFLAGS=-I/usr/include/ncursesw''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: en_US.UTF-8
   value of $XMODIFIERS: nil
   locale-coding-system: utf-8-unix
   default enable-multibyte-characters: t

Major mode: Dired by name

Minor modes in effect:
   tooltip-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t


Doug

On 9/7/2012 1:26 PM, martin rudalics wrote:
>> Edit a file
>> C-x 2
>> (OK, now you have a two windows split horizontally)
>> C-x C-b
>> One of the windows **splits vertically**(!!) to show the buffer menu. 
>
> With emacs -Q here the lower window is used.
>
>> Older versions of emacs (I don't know how far back you have to go) 
>> use the "other" window of the two horizontally split window to 
>> display the menu.  The old way is by far the better way.  The same 
>> thing happens with C-x 4 C-f and I think other C-x 4 commands. All 
>> make for annoying work cleaning up your windows after the unwanted 
>> vertical splits happen.
>
> Please test with emacs -Q and from the Help menu use the entry
> "How to Report a Bug" in order to provide the necessary information.
>
> Thanks, martin
>
>





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12380; Package emacs. Full text available.

Message received at 12380 <at> debbugs.gnu.org:


Received: (at 12380) by debbugs.gnu.org; 7 Sep 2012 20:26:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 07 16:26:30 2012
Received: from localhost ([127.0.0.1]:47209 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TA58I-0000F3-8V
	for submit <at> debbugs.gnu.org; Fri, 07 Sep 2012 16:26:30 -0400
Received: from mailout-de.gmx.net ([213.165.64.22]:35492)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1TA58G-0000Ew-59
	for 12380 <at> debbugs.gnu.org; Fri, 07 Sep 2012 16:26:29 -0400
Received: (qmail invoked by alias); 07 Sep 2012 20:26:07 -0000
Received: from 62-47-42-86.adsl.highway.telekom.at (EHLO [62.47.42.86])
	[62.47.42.86]
	by mail.gmx.net (mp012) with SMTP; 07 Sep 2012 22:26:07 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1/dhuZwCmfdqiwWKeZtT4Rl9ql9HezUVZ9SBC7h7+
	0QqeXwj8QkUa9o
Message-ID: <504A5866.9010009@HIDDEN>
Date: Fri, 07 Sep 2012 22:26:14 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Doug Morgan <dougrm@HIDDEN>
Subject: Re: bug#12380: other window related commands broken
References: <504A43D2.1010307@HIDDEN>
In-Reply-To: <504A43D2.1010307@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 12380
Cc: 12380 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

> Edit a file
> C-x 2
> (OK, now you have a two windows split horizontally)
> C-x C-b
> One of the windows **splits vertically**(!!) to show the buffer menu.  

With emacs -Q here the lower window is used.

> Older versions of emacs (I don't know how far back you have to go) use 
> the "other" window of the two horizontally split window to display the 
> menu.  The old way is by far the better way.  The same thing happens 
> with C-x 4 C-f and I think other C-x 4 commands. All make for annoying 
> work cleaning up your windows after the unwanted vertical splits happen.

Please test with emacs -Q and from the Help menu use the entry
"How to Report a Bug" in order to provide the necessary information.

Thanks, martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12380; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Sep 2012 19:53:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 07 15:53:57 2012
Received: from localhost ([127.0.0.1]:47173 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TA4cm-0007vl-Mx
	for submit <at> debbugs.gnu.org; Fri, 07 Sep 2012 15:53:57 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58470)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dougrm@HIDDEN>) id 1TA3lU-0006ek-37
	for submit <at> debbugs.gnu.org; Fri, 07 Sep 2012 14:58:52 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <dougrm@HIDDEN>) id 1TA3lA-0003z9-1x
	for submit <at> debbugs.gnu.org; Fri, 07 Sep 2012 14:58:32 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_HI
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:49845)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <dougrm@HIDDEN>) id 1TA3l9-0003z5-Ut
	for submit <at> debbugs.gnu.org; Fri, 07 Sep 2012 14:58:31 -0400
Received: from eggs.gnu.org ([208.118.235.92]:42263)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <dougrm@HIDDEN>) id 1TA3l8-0003Rq-Tv
	for bug-gnu-emacs@HIDDEN; Fri, 07 Sep 2012 14:58:31 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <dougrm@HIDDEN>) id 1TA3l8-0003yg-20
	for bug-gnu-emacs@HIDDEN; Fri, 07 Sep 2012 14:58:30 -0400
Received: from elasmtp-banded.atl.sa.earthlink.net ([209.86.89.70]:43481)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <dougrm@HIDDEN>) id 1TA3l7-0003yO-OF
	for bug-gnu-emacs@HIDDEN; Fri, 07 Sep 2012 14:58:29 -0400
Received: from [76.21.104.63] (helo=[192.168.0.2])
	by elasmtp-banded.atl.sa.earthlink.net with esmtpsa
	(TLSv1:AES256-SHA:256) (Exim 4.67)
	(envelope-from <dougrm@HIDDEN>) id 1TA3l5-00066g-Sq
	for bug-gnu-emacs@HIDDEN; Fri, 07 Sep 2012 14:58:28 -0400
Message-ID: <504A43D2.1010307@HIDDEN>
Date: Fri, 07 Sep 2012 11:58:26 -0700
From: Doug Morgan <dougrm@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.0;
	rv:14.0) Gecko/20120713 Thunderbird/14.0
MIME-Version: 1.0
To: bug-gnu-emacs@HIDDEN
Subject: other window related commands broken
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-ELNK-Trace: f1ad82a4556da985904be2c59b54ee5a9ef193a6bfc3dd4808dbb195b3d0befe65cd7cab2498b22d92764449e275203c350badd9bab72f9c350badd9bab72f9c
X-Originating-IP: 76.21.104.63
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4-2.6
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 07 Sep 2012 15:53:55 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

emac version: 24.2.1
cygwin
Vista

Edit a file
C-x 2
(OK, now you have a two windows split horizontally)
C-x C-b
One of the windows **splits vertically**(!!) to show the buffer menu.  
Older versions of emacs (I don't know how far back you have to go) use 
the "other" window of the two horizontally split window to display the 
menu.  The old way is by far the better way.  The same thing happens 
with C-x 4 C-f and I think other C-x 4 commands. All make for annoying 
work cleaning up your windows after the unwanted vertical splits happen.

Doug





Acknowledgement sent to Doug Morgan <dougrm@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#12380; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.